import { createContext, useContext, useState } from "react";

const preview = {
  username: "",
  setUsername: () => {},
};

const SideBarContext = createContext(preview);

export const useSideBarContext = () => useContext(SideBarContext);

export default function SideBarProvider({ children, options }) {
  const [username, setUsername] = useState(options.username);

  return (
    <SideBarContext.Provider
      value={{
        username,
        setUsername,
      }}
    >
      {children}
    </SideBarContext.Provider>
  );
}
