import { createContext, useContext, useState } from "react";

const preview = {
  stores: [],
  setStores: () => {},
};

const StoresContext = createContext(preview);

export const useStoresContext = () => useContext(StoresContext);

export default function StoresProvider({ children, options }) {
  const [stores, setStores] = useState(options.stores);

  return (
    <StoresContext.Provider value={{ stores, setStores }}>
      {children}
    </StoresContext.Provider>
  );
}
