import { memo } from "react";
import { Card, Typography } from "antd";
import { useSideBarContext } from "../../Contexts/SideBarContext";

const randomGreeting = Math.floor(Math.random() * 18);

function getGreeting(name) {
  const currentTime = new Date();
  const currentHour = currentTime.getHours();
  let greeting;

  if (currentHour < 5) {
    const nightGreetings = [
      `Guten Morgen, ${name}! Ein weiterer Tag, um deinem Ziel näher zu kommen!`,
      `Hab eine ruhige Nacht gehabt, ${name}? Du bist auf dem richtigen Weg!`,
      `Hallo, ${name}! Bereit für einen neuen Tag voller Möglichkeiten? Du schaffst das!`,
      `Schlaf gut, ${name}! Morgen ist ein neuer Tag, um Großartiges zu erreichen!`,
      `Guten Morgen! Wie hast du geschlafen, ${name}? Du bist unaufhaltsam!`,
      `Hallo, ${name}! Bereit für einen neuen Tag voller Chancen und Erfolge?`,
      `Ein neuer Tag bricht an, ${name}! Du bist auf dem richtigen Pfad!`,
      `Guten Morgen! Lass uns den Tag beginnen, ${name}! Du kannst alles schaffen!`,
      `Hallo, ${name}! Wie geht es dir heute Morgen? Sei stolz auf deine Fortschritte!`,
      `Ein herzliches "Guten Morgen" an dich, ${name}! Jeder Tag ist eine Chance zu wachsen!`,
      `Hab eine erholsame Nacht gehabt, ${name}? Jetzt kannst du wieder Vollgas geben!`,
      `Hallo, ${name}! Starte frisch in den Tag! Du bist auf dem richtigen Weg!`,
      `Guten Morgen! Was steht auf deiner Agenda, ${name}? Setze deine Ziele hoch!`,
      `Beginne den Tag mit einem Lächeln, ${name}! Du bist stark und voller Potential!`,
      `Ich wünsche dir einen wunderbaren Morgen, ${name}! Glaube an dich und deine Träume!`,
      `Hallo, ${name}! Bereit für neue Herausforderungen? Du wirst sie meistern!`,
      `Guten Morgen! Wie war deine Nacht, ${name}? Du bist auf dem Weg zum Erfolg!`,
      `Hallo, ${name}! Starte den Tag mit positiver Energie! Du bist unaufhaltsam!`,
    ];
    //greeting = nightGreetings[Math.floor(Math.random() * nightGreetings.length)];
    greeting = nightGreetings[randomGreeting];
  } else if (currentHour < 12) {
    const morningGreetings = [
      `Guten Morgen, ${name}! Ein weiterer Tag, um deinem Ziel näher zu kommen!`,
      `Ein strahlender Morgen erwartet dich, ${name}! Du hast das Zeug dazu!`,
      `Hab einen motivierten Tag, ${name}! Du bist auf dem richtigen Weg!`,
      `Guten Morgen! Lass dich nicht von deinen Träumen abhalten, ${name}!`,
      `Starte den Tag mit positiver Energie, ${name}! Du bist unaufhaltsam!`,
      `Hallo, ${name}! Nutze die Chancen des Tages und zeige, was in dir steckt!`,
      `Ein neuer Tag voller Möglichkeiten erwartet dich, ${name}! Glaube an dich selbst!`,
      `Guten Morgen! Du bist auf dem richtigen Weg, ${name}! Heute ist dein Tag!`,
      `Hallo, ${name}! Zeige der Welt, was du heute erreichen kannst! Du bist großartig!`,
      `Begrüße den Tag mit Begeisterung, ${name}! Du hast das Potenzial, Berge zu versetzen!`,
      `Guten Morgen! Glaube an dich selbst und verfolge deine Träume, ${name}!`,
      `Hallo, ${name}! Du bist ein Champion, also zeig es ihnen! Du schaffst das!`,
      `Ein weiterer Tag, um deine Träume zu verwirklichen, ${name}! Gib alles!`,
      `Guten Morgen! Lass dein Licht heute strahlen, ${name}! Du bist einzigartig!`,
      `Hallo, ${name}! Du bist auf dem richtigen Weg zu großartigen Dingen! Glaube an dich!`,
      `Starte den Tag mit einem Lächeln und einer positiven Einstellung, ${name}! Du bist stark!`,
      `Guten Morgen! Glaube an deine Stärken und gehe mit Zuversicht voran, ${name}!`,
      `Hallo, ${name}! Nutze den Tag, um dein Bestes zu geben! Du bist unaufhaltsam!`,
    ];
    //greeting = morningGreetings[Math.floor(Math.random() * morningGreetings.length)];
    greeting = morningGreetings[randomGreeting];
  } else if (currentHour < 18) {
    const afternoonGreetings = [
      `Guten Tag, ${name}! Ein weiterer Moment, um deinem Ziel näher zu kommen!`,
      `Schön, dich zu sehen, ${name}! Du bist auf dem richtigen Weg!`,
      `Hoffentlich läuft dein Tag gut, ${name}! Du schaffst das!`,
      `Hallo, ${name}! Wie geht's? Halte dich an deine Ziele!`,
      `Genieße deinen Nachmittag, ${name}! Du bist auf dem richtigen Kurs!`,
      `Hallo, ${name}! Alles klar bei dir? Bleibe fokussiert!`,
      `Schönen Tag noch, ${name}! Verliere nicht aus den Augen, was dir wichtig ist!`,
      `Hallo, ${name}! Was steht auf deiner Agenda? Verfolge deine Träume!`,
      `Freut mich, dich zu sehen, ${name}! Glaube an dich selbst!`,
      `Hoffentlich hattest du einen produktiven Tag, ${name}! Halte die Motivation hoch!`,
      `Hallo, ${name}! Wie läuft's? Bleibe positiv und lass dich nicht entmutigen!`,
      `Ich hoffe, du hast einen tollen Tag, ${name}! Vertraue auf deine Fähigkeiten!`,
      `Hallo, ${name}! Bist du bereit für den Rest des Tages? Zeige, was in dir steckt!`,
      `Schön, dich hier zu haben, ${name}! Gib dein Bestes und glaube an dich!`,
      `Hallo, ${name}! Wie war dein Vormittag? Halte die Motivation hoch!`,
      `Ich wünsche dir einen angenehmen Nachmittag, ${name}! Verfolge deine Ziele mit Leidenschaft!`,
      `Hallo, ${name}! Wie geht es dir heute? Denke daran, wie weit du schon gekommen bist!`,
      `Freut mich, dass du da bist, ${name}! Glaube an dich und gehe deinen Weg!`,
    ];
    //greeting = afternoonGreetings[Math.floor(Math.random() * afternoonGreetings.length)];
    greeting = afternoonGreetings[randomGreeting];
  } else {
    const eveningGreetings = [
      `Guten Abend, ${name}! Ein weiterer Tag ist fast vorbei! Du hast viel erreicht!`,
      `Schön, dass du da bist, ${name}! Du hast den Tag gemeistert!`,
      `Hast du einen produktiven Tag gehabt, ${name}? Sei stolz auf dich!`,
      `Hallo, ${name}! Wie war dein Tag? Du bist auf dem richtigen Weg zum Erfolg!`,
      `Einen entspannten Abend wünsche ich dir, ${name}! Du hast es dir verdient!`,
      `Guten Abend! Wie geht es dir, ${name}? Halte dich an deine Träume!`,
      `Hallo, ${name}! Was steht bei dir am Abend an? Entspanne dich und lade deine Energie auf!`,
      `Ein herzliches "Guten Abend" an dich, ${name}! Denke daran, wie weit du schon gekommen bist!`,
      `Genieße die Ruhe des Abends, ${name}! Du hast heute viel erreicht!`,
      `Hallo, ${name}! Wie war dein Tag heute? Feiere deine Erfolge!`,
      `Guten Abend! Was hast du heute erlebt, ${name}? Bleibe stolz auf dich!`,
      `Ein angenehmer Abend liegt vor dir, ${name}! Lade deine Batterien auf und träume groß!`,
      `Hallo, ${name}! Wie geht es dir am Ende des Tages? Sei dankbar für deine Fortschritte!`,
      `Schön, dich noch zu sehen, ${name}! Reflektiere über deinen Tag und freue dich auf morgen!`,
      `Guten Abend! Was möchtest du heute Abend machen, ${name}? Nutze die Zeit für dich selbst!`,
      `Ein gemütlicher Abend steht bevor, ${name}! Entspanne dich und genieße den Moment!`,
      `Hallo, ${name}! Wie war deine Arbeit heute? Erhole dich und sei stolz auf dich!`,
      `Guten Abend! Du bist auf dem richtigen Weg zum Erfolg, ${name}! Glaube an dich!`,
    ];
    //greeting = eveningGreetings[Math.floor(Math.random() * eveningGreetings.length)];
    greeting = eveningGreetings[randomGreeting];
  }
  return greeting;
}

const Dashboard = memo(() => {
  const sideBarContext = useSideBarContext();

  return (
    <Card>
      <Typography.Title level={4} style={{ margin: 0 }}>
        {getGreeting(sideBarContext.username)}
      </Typography.Title>
    </Card>
  );
});

export default Dashboard;
