import { Button, Result } from "antd";
import { useTranslation } from "react-i18next";
import { Link } from "react-router-dom";
import { Constants } from "../../utils";

export default function PageNotFound() {
  const { t } = useTranslation();

  return (
    <Result
      status="404"
      title={t("pageNotFound.title")}
      subTitle={t("pageNotFound.subTitle")}
      extra={
        <Link to={Constants.ROUTE_PATHS.OVERVIEW}>
          <Button type="primary">{t("pageNotFound.buttonBackHome")}</Button>
        </Link>
      }
    />
  );
}
